> For the complete documentation index, see [llms.txt](https://docs.firefly.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.firefly.ai/general-information/api/backup-and-dr.md).

# Backup & Disaster Recovery

The Backup and Disaster Recovery API allows you to manage backup policies, snapshots, and disaster recovery operations in Firefly.

## Policies

### List Policies

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Create Policy

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Search Policies

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/search" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Get Policy

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Update Policy

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}" method="put" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Delete Policy

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}" method="delete" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Toggle Policy Status

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}/status" method="patch" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Trigger On-Demand Backup

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}/trigger" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Assign Resources to Policy

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/{policy\_id}/resources" method="patch" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Preview Affected Resources

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/preview" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### List Preview Resources

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/preview/{preview\_id}" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Search Preview Resources

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/policies/preview/{preview\_id}/search" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

## Snapshots

### List Snapshots

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Search Snapshots

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/search" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Get Snapshot

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Delete Snapshot

Deleting a snapshot also deletes the comparison result stored on that snapshot. The comparison stored on the following snapshot is retained and flagged as having been compared against a deleted snapshot; it is not recalculated.

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}" method="delete" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Get Snapshot Resources

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}/resources" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Search Snapshot Resources

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}/resources/search" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Get Restore Instructions

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}/restore-instructions" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

### Get Snapshot Artifact

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/snapshots/{snapshot\_id}/artifact" method="get" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}

## Resources

### Get Policies by FRNs

{% openapi src="/files/0R4BSGoz0ZrGy3TecgWo" path="/backup-and-dr/resources/policies" method="post" %}
[backup-and-dr.yaml](https://292727710-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FkD89Ravlokn4JL0Be27O%2Fuploads%2Fgit-blob-65d85ab678432915f4f719a77cf866384a9c552b%2Fbackup-and-dr.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.firefly.ai/general-information/api/backup-and-dr.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
